Subject: SSH Port Forwarding

From: Michael Perrier <[email-masked]>
Date: Fri, 03 Dec 2010 10:34:18 -0500

Hi,

We have setup a SSH communications between our Linux Server application 
(LSA) and our proprietary client application (CA).

This communication is 2-way: data packets are sent back and forth 
between the LSA and the CA.

We have setup OpenSSH on the LSA server using a non-standard port; the 
LSA is setup to listen to a unpublished public port on the server. The 
CA is setup using SSH client software and PortForwarding to the LSA's 
unpublished port. The communication works very well, it is fast, 
reliable and secure.

For security auditing purposes, I need to record the CA's IP address. 
When I perform a NTOP on the socket structure from the ACCEPT statement 
in LSA, I get the OpenSSH IP address.

Is there a way for me to obtain the CA's original IP address?

Many thanks in advance,
Michael